We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy.
Unfortunately, activation email could not send to your email. Please try again.

Dashboard designer version compatibility

The following article explains about the version compatibility of the dashboard files with different versions of Syncfusion Dashboard Designer application.

Dashboard designer application is backward-compatible

Syncfusion Dashboard Designer application allows you to open or edit the older versions of dashboard files such as dashboard (SYDX), data sources (SYDS), widgets (SYDW), and custom widgets (SYCW) in the highest or latest versions of the dashboard designer application.

For an example, if you are designing a dashboard report using 2.3.0.32 version of the Dashboard Designer, it can also be opened in any higher or latest versions. So, you can open the dashboard file in 3.1.0.114 version and even in the upcoming versions in future.

The following dashboard is created in 2.3.0.32 version of the dashboard designer application.

 

Now, when you try to open the dashboard report in 3.1.0.114 version, it will open properly.

 

If any new feature or properties are introduced in the highest version, the default values will be assigned to those properties while opening the older version of the dashboard reports.

For an example, the following choropleth map is designed in the 2.3.0.32 version of the dashboard designer application.

The following screenshot shows the serialization structure of the widget file which is an internal part of the SYDX file.

While opening the dashboard report in the 3.1.0.114 version, a new property named “Show Data Labels” is introduced with its default value.

The property will be added in the serialization file while saving the report and it will look like in the following screenshot.

NOTE: The same behavior is applicable to data sources and widgets oriented new feature or properties.

Dashboard designer application is not forward-compatible

The lower version of dashboard designer application does not allow you to open a dashboard report designed in the highest version of the application. Because, new features, widget types, and connection types are introduced in every new or latest version of the application and it cannot be handled by lower versions of the application.

For an example, in 3.1.0.114, the design canvas default size is 12*24 with scrollable dashboards. But, in 2.3.0.32 version, it has the same canvas size 6*12 without scrollable support. So, the reports created in the 3.1.0.114 version cannot be opened in the 2.3.0.32 version or any other lower versions of the application.

The DD001 error will be shown while trying to open the highest version of the dashboard report in the lowest version of the dashboard designer application.

Article ID: Published Date: Last Revised Date: Platform: Control:
9224 08/30/2018 08/30/2018 Dashboard Platform Dashboard Designer
Did you find this information helpful?
Add Comment
You must log in to leave a comment

You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.